.product-item-wrapper {
    box-shadow: 0px 5px 10px 0px rgba(0, 0, 0, 0.10);
}
.product-item-wrapper .product-overlay {    
    background: rgba(0, 0, 0, .2);
    visibility: hidden;
    opacity: 0;
    transition: .3s;
}
.product-item-wrapper:hover .product-overlay {
    visibility: visible;
    opacity: 1;
}